//
//  ES1Renderer.h
//  gl
//
//  Created by kunii on 10/05/23.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "ESRenderer.h"

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>
#ifdef DICE
#import "ESCore.h"
@interface ES1Renderer : NSObject <ESRenderer, ESCore>
#else
@interface ES1Renderer : NSObject <ESRenderer>
#endif
{
@private
    EAGLContext *context;

    // The pixel dimensions of the CAEAGLLayer
    GLint backingWidth;
    GLint backingHeight;

    // The OpenGL ES names for the framebuffer and renderbuffer used to render to this view
    GLuint defaultFramebuffer, colorRenderbuffer;
#ifdef DICE
	ESCore*	core;
#endif
}

- (void)render;
- (BOOL)resizeFromLayer:(CAEAGLLayer *)layer;

@end
